Bug 434703 - Review Request: ocaml-sqlite - OCaml library for accessing SQLite3 databases
Review Request: ocaml-sqlite - OCaml library for accessing SQLite3 databases
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-24 12:42 EST by Richard W.M. Jones
Modified: 2008-03-01 14:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-01 14:14:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-02-24 12:42:36 EST
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-sqlite.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-sqlite-0.23.0-1.fc9.src.rpm
Description: OCaml library for accessing SQLite3 databases

This package is rpmlint-clean.
Comment 1 Parag AN(पराग) 2008-02-29 04:52:19 EST
build.log showed
sh: camlp4o: command not found
Comment 2 Richard W.M. Jones 2008-02-29 07:30:51 EST
Thanks, it was a missing BR.  I built this one under mock this time,
so it should work:

Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-sqlite.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-sqlite-0.23.0-2.fc9.src.rpm

* Fri Feb 29 2008 Richard W.M. Jones <rjones@redhat.com> - 0.23.0-2
- Added BR ocaml-camlp4-devel.
Comment 3 Parag AN(पराग) 2008-03-01 08:49:14 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=481863
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
473b2dea5684dc681c0e3e7ecb083cee  ocaml-sqlite3-0.23.0.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honored correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.
+ Package ocaml-sqlite-0.23.0-2.fc9 =>
  Provides: dllsqlite3_stubs.so ocaml(Sqlite3) = c3f364a0311d687e52a8adbeed19f8e5
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)
libsqlite3.so.0 ocaml(Array) = aa8e3cd5824f9bb40b93fcd38d0c95b5 ocaml(Buffer) =
f6cef633ea14963b84b79c4095c63dc3 ocaml(Callback) =
e5ca1fb5990fac2b7b17cbb1712cffe2 ocaml(Obj) = 5cfae708052c692ea39d23ed930fd64d
ocaml(Pervasives) = 8ba3d1faa24d659525c9025f41fd0c57 ocaml(Printf) =
5dbbf45a03b54e6dbfcf39178d0d6341 ocaml(String) =
2c162ab314b2f0a2cfd22d471b2e21ab ocaml(runtime) = 3.10.1
+ Package ocaml-sqlite-devel-0.23.0-2.fc9 =>
  Requires: ocaml-sqlite = 0.23.0-2.fc9
+ Followed ocaml packaging guidelines.
APPROVED.
Comment 4 Richard W.M. Jones 2008-03-01 09:01:03 EST
New Package CVS Request
=======================
Package Name: ocaml-sqlite
Short Description: OCaml library for accessing SQLite3 databases
Owners: rjones
Branches: F-8
InitialCC: rjones
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-03-01 13:36:21 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.